ArchLinux on a C2 - Kodi?

Post Reply
thatchunkylad1989
Posts: 212
Joined: Sun Dec 24, 2017 12:29 am
languages_spoken: english
ODROIDs: C2, XU4
Contact:

ArchLinux on a C2 - Kodi?

Unread post by thatchunkylad1989 » Sun Dec 24, 2017 12:38 am

I'm having this problem:

https://archlinuxarm.org/forum/viewtopi ... 65&t=11511

Anyone else?

User avatar
odroid
Site Admin
Posts: 29380
Joined: Fri Feb 22, 2013 11:14 pm
languages_spoken: English
ODROIDs: ODROID
Contact:

Re: ArchLinux on a C2 - Kodi?

Unread post by odroid » Sun Dec 24, 2017 11:55 am

I've not used Arch on C2 for a couple of years.
So I have no idea what's wrong.

Can you tell me the current kernel version on your ALARM?
If it is not 3.10, the VPU/GPU acceleration drivers don't work probably.

rpcameron
Posts: 278
Joined: Sat Apr 30, 2016 7:24 am
languages_spoken: english
ODROIDs: C2
Contact:

Re: ArchLinux on a C2 - Kodi?

Unread post by rpcameron » Sun Dec 24, 2017 2:28 pm

IiRC, there are issues with the display/GUI @ 4K and content not being that resolution. And, as previously stated, HW acceleration only works with HK's older 3.x kernel, not current mainline support.

Because of the nature of hardware support with arm chipsets, if you want full media support, following mainline is out of the question. You are essentially relegated to using older Android builds, as soc chip manufacturers don't support their chipsets well.

thatchunkylad1989
Posts: 212
Joined: Sun Dec 24, 2017 12:29 am
languages_spoken: english
ODROIDs: C2, XU4
Contact:

Re: ArchLinux on a C2 - Kodi?

Unread post by thatchunkylad1989 » Sun Dec 24, 2017 8:49 pm

odroid wrote:I've not used Arch on C2 for a couple of years.
So I have no idea what's wrong.

Can you tell me the current kernel version on your ALARM?
If it is not 3.10, the VPU/GPU acceleration drivers don't work probably.

I'm on the latest Kernel from alarm.
How can I downgrade the kernel??????
rpcameron wrote:IiRC, there are issues with the display/GUI @ 4K and content not being that resolution. And, as previously stated, HW acceleration only works with HK's older 3.x kernel, not current mainline support.

Because of the nature of hardware support with arm chipsets, if you want full media support, following mainline is out of the question. You are essentially relegated to using older Android builds, as soc chip manufacturers don't support their chipsets well.
Yeah, I see others having the issue too.
Can I somehow downgrade the kernel? Arch is much better for me because I'm use to it. I like Ubuntu don't get me wrong but I like Arch more. ;)

thatchunkylad1989
Posts: 212
Joined: Sun Dec 24, 2017 12:29 am
languages_spoken: english
ODROIDs: C2, XU4
Contact:

Re: ArchLinux on a C2 - Kodi?

Unread post by thatchunkylad1989 » Wed Dec 27, 2017 5:59 am

The kernel I am using...

Linux alarm 3.14.79-28-ARCH #1 SMP PREEMPT Tue Nov 28 20:47:59 MST 2017 aarch64 GNU/Linux

Cheers.

User avatar
odroid
Site Admin
Posts: 29380
Joined: Fri Feb 22, 2013 11:14 pm
languages_spoken: English
ODROIDs: ODROID
Contact:

Re: ArchLinux on a C2 - Kodi?

Unread post by odroid » Wed Dec 27, 2017 10:20 am

Can you run any OpenGL-ES application?
Try to run "es2gears" to check the GPU driver implementation.
If it works with Mali-450, you need to check the VPU drivers.

thatchunkylad1989
Posts: 212
Joined: Sun Dec 24, 2017 12:29 am
languages_spoken: english
ODROIDs: C2, XU4
Contact:

Re: ArchLinux on a C2 - Kodi?

Unread post by thatchunkylad1989 » Wed Dec 27, 2017 9:55 pm

odroid wrote:Can you run any OpenGL-ES application?
Try to run "es2gears" to check the GPU driver implementation.
If it works with Mali-450, you need to check the VPU drivers.
What is a OpenGL-ES application? VLC?
I'll have a look now...

[alarm@alarm ~]$ es2gears
bash: es2gears: command not found
Mali-450 also not found.

Cheers.

User avatar
odroid
Site Admin
Posts: 29380
Joined: Fri Feb 22, 2013 11:14 pm
languages_spoken: English
ODROIDs: ODROID
Contact:

Re: ArchLinux on a C2 - Kodi?

Unread post by odroid » Thu Dec 28, 2017 8:46 am

VLC video rendering options have "OpenGL-ES2".
But, you might need to try to find es2gears or glmark2-es2 package on Arch.
I hope other Arch guru can help you since I don't use Arch.

rpcameron
Posts: 278
Joined: Sat Apr 30, 2016 7:24 am
languages_spoken: english
ODROIDs: C2
Contact:

Re: ArchLinux on a C2 - Kodi?

Unread post by rpcameron » Thu Dec 28, 2017 9:48 am

In Arch the package is mesa-demos. The binary is es2gears_x11.

However, this means the Mali-x11 package needs to be installed, but Kodi needs the Mali-fb package.

Post Reply

Return to “Issues”

Who is online

Users browsing this forum: No registered users and 2 guests